使用 ESMC7 進行升級。2 全方位安裝程式

使用 ESMC 7,將 ERA 6.5 或 ESMC 7 升級至最新的 ESMC 7.2。2 全方位安裝程式。

important

重要

我們建議當現有安裝透過全方位安裝程式執行時進行此升級選項。

您只能從 ERA 6.5 版和更新版本升級為 ESMC 7.2。如果您使用的是較舊的 ERA 6.x 版,請先升級到 ERA 6.5

ESMC 伺服器元件版本 7.2 與 32 位元機器 (x86 架構) 不相容。將 32 位元伺服器機器從版本 6.5-7.0 升級至 7.2 的作業將會失敗。

若您已執行升級,且現在您的系統無法正常運作,則需要手動將所有 ESMC 元件重新安裝為原始版本。

若您想要升級,則需要將目前的 ESMC 移轉至 64 位元機器,而在移轉成功之後,您便可以執行升級工作。

若您已安裝了舊版不支援的資料庫 (MySQL 5.5 或 MSSQL 2008),請將您的資料庫升級至相容的資料庫版本,然後再升級 ESMC 伺服器。

ESMC 7。2依預設,全方位安裝程式會安裝 Microsoft SQL Server Express 2019。如果您使用的舊版 Windows (Server 2012 或 SBS 2011),則預設會安裝 Microsoft SQL Server Express 2014。

ESMC 7.2 使用 LDAPS 作為預設的通訊協定,以進行 Active Directory 同步化。 如果要將 Windows 上較早的 ESMC 版本升級到 ESMC 7.2,且您之前使用 Active Directory 同步化,則同步化工作將在 ESMC 7.2 中失敗。

1.執行 Setup.exe

2.選取語言並按 [下一步]

3.選取 [升級所有元件] 並按 [下一步]

package_installation_upgrade

4.閱讀 [使用者授權合約],然後接受並按 [下一步]

5.檢閱可以升級的 ESMC 元件,然後按 [下一步]

warning

警告

如果已安裝自訂版的 Apache Tomcat (Tomcat 服務手動安裝),則不支援透過全方位安裝程式或透過元件升級工作進行後續的 ESMC Web Console 升級。

Apache Tomcat 升級將會刪除 era 資料夾 (位於 C:\Program Files\Apache Software Foundation\[ Tomcat 資料夾 ]\webapps\.若您使用 era 資料夾來儲存其他資料,請確保在升級之前備份資料。

如果使用了 C:\Program Files\Apache Software Foundation\[ Tomcat 資料夾 ]\webapps\ 包含其他資料 (除了 eraROOT 資料夾以外),Apache Tomcat 升級將不會發生,且僅將升級 Web Console。

package_installation_components_to_upgrade

6.遵循精靈的指示以完成 ESMC 升級。